/*====================
    Jacobian
====================*/
Jacobian {
  { Name JVol ;
    Case {
      { Region All ; Jacobian Vol ; }
    }
  }
  { Name JSur ;
    Case {
      { Region All ; Jacobian Sur ; }
    }
  }
  { Name JLin ;
    Case {
      { Region All ; Jacobian Lin ; }
    }
  }
}

/*
(à vérifier :-))
Note : on utilise le Jacobian "Vol" tant que l'on reste dans la même dimension que le problème : calcul sur de la 3D d'un problème en 3D, calcul sur de la 2D (surface) d'un problème en 2D, 1D pour 1D....
On utilise le Jacobian "Sur" dès que l'on "perd" une dimension : calcul sur une surface (2D) d'un probleme en 3D, calcul sur une ligne (1D) pour un probleme en 2D.
Et on utilise le Jacobian "Lin" dès que l'on "perd" deux dimensions : calcul sur une ligne (1D) pour un probleme en 3D.
*/

/*======================
Paramètres d'intégration
======================*/
Integration {
  { Name I1 ;
    Case {
      { Type Gauss ;
        Case {
          { GeoElement Point ; NumberOfPoints  1 ; }
          { GeoElement Line ; NumberOfPoints  4 ; }
          { GeoElement Triangle ; NumberOfPoints  6 ; }
          { GeoElement Quadrangle ; NumberOfPoints 7 ; }
          { GeoElement Tetrahedron ; NumberOfPoints 15 ; }
          { GeoElement Hexahedron ; NumberOfPoints 34 ; }
        }
      }
    }
  }
}

